%define pypi_name pytools

Summary:	A collection of tools for Python
Name:		python-%{pypi_name}
Version:	2024.1.3
Release:	%mkrel 1
License:	MIT
Group:		Development/Python
Url:		https://pypi.python.org/pypi/pytools
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Pytools is a big bag of things that are "missing" from the Python
standard library. This is mainly a dependency of my other software
packages, and is probably of little interest to you unless you use
those. If you're curious nonetheless, here's what's on offer:

* A ton of small tool functions such as len_iterable, argmin, tuple
  generation, permutation generation, ASCII table pretty printing,
  GvR's mokeypatch_xxx() hack, the elusive flatten, and much more.
* Michele Simionato's decorator module.
* A time-series logging module, pytools.log.
* Batch job submission, pytools.batchjob.
* A lexer, pytools.lex.

%package -n python3-%{pypi_name}
Summary:	A collection of tools for Python 3
Group:		Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(six)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Pytools is a big bag of things that are "missing" from the Python 3
standard library. This is mainly a dependency of my other software
packages, and is probably of little interest to you unless you use
those. If you're curious nonetheless, here's what's on offer:

* A ton of small tool functions such as len_iterable, argmin, tuple
  generation, permutation generation, ASCII table pretty printing,
  GvR's mokeypatch_xxx() hack, the elusive flatten, and much more.
* Michele Simionato's decorator module.
* A time-series logging module, pytools.log.
* Batch job submission, pytools.batchjob.
* A lexer, pytools.lex.

%prep
%setup -q -n %{pypi_name}-%{version}

# drop bundled egg-ginfo

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytools

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst PKG-INFO



%changelog
* Tue Jul 02 2024 papoteur <papoteur> 2024.1.3-1.mga10
+ Revision: 2078845
- new version 2024.1.3

* Thu Apr 04 2024 papoteur <papoteur> 2023.1.1-1.mga10
+ Revision: 2054279
- new version 2023.1.1

* Wed Dec 20 2023 tv <tv> 2022.1.12-2.mga10
+ Revision: 2020372
- Rebuild for python 3.12

* Wed Sep 07 2022 neoclust <neoclust> 2022.1.12-1.mga9
+ Revision: 1885148
- New version 	2022.1.12

* Thu Mar 24 2022 umeabot <umeabot> 2021.2.8-3.mga9
+ Revision: 1824783
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 tv <tv> 2021.2.8-2.mga9
+ Revision: 1775460
- Rebuild for python-3.10

* Thu Sep 02 2021 wally <wally> 2021.2.8-1.mga9
+ Revision: 1744064
- new version 2021.2.8

* Sat Mar 20 2021 joequant <joequant> 2021.2-1.mga9
+ Revision: 1705394
- update to 2021.2 / python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2019.1.1-2.mga8
+ Revision: 1530975
- Mageia 8 Mass Rebuild

* Sat Sep 07 2019 wally <wally> 2019.1.1-1.mga8
+ Revision: 1438131
- new version 2019.1.1
- drop python2 support
- rebuild for python3.8

* Sat Apr 20 2019 wally <wally> 2019.1-1.mga7
+ Revision: 1393771
- new version 2019.1

* Sat Jan 05 2019 wally <wally> 2018.5.2-6.mga7
+ Revision: 1349688
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 2018.5.2-5.mga7
+ Revision: 1289913
- Mageia 7 Mass Rebuild

* Thu Aug 16 2018 eatdirt <eatdirt> 2018.5.2-4.mga7
+ Revision: 1251913
- Add Provides to python-tools for old python packages

* Tue Aug 14 2018 eatdirt <eatdirt> 2018.5.2-3.mga7
+ Revision: 1251614
- Add BA:noarch to main package
- Upgrade to version 2018.5.2

* Sat Aug 05 2017 pterjan <pterjan> 2015.1.2-4.mga7
+ Revision: 1135590
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 2015.1.2-3.mga6
+ Revision: 970713
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 2015.1.2-2.mga6
+ Revision: 887628
- rebuild for python 3.5

* Sat Sep 26 2015 philippem <philippem> 2015.1.2-1.mga6
+ Revision: 883912
- fix url
- update to 2015.1.2

* Wed Oct 15 2014 umeabot <umeabot> 2013.5.7-5.mga5
+ Revision: 741856
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2013.5.7-4.mga5
+ Revision: 726914
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2013.5.7-3.mga5
+ Revision: 688286
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2013.5.7-2.mga5
+ Revision: 628970
- Rebuild for new Python

* Sat Dec 21 2013 philippem <philippem> 2013.5.7-1.mga4
+ Revision: 559454
- Update to 2013.5.7, add Python 3

* Tue Oct 22 2013 umeabot <umeabot> 2013.5.3-4.mga4
+ Revision: 544153
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2013.5.3-3.mga4
+ Revision: 499273
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jul 28 2013 joequant <joequant> 2013.5.3-2.mga4
+ Revision: 459582
- add rename directive to remove python-tools package

* Fri Jul 05 2013 philippem <philippem> 2013.5.3-1.mga4
+ Revision: 450383
- Update to 2013.5.3

* Sun Jan 13 2013 umeabot <umeabot> 2011.4-2.mga3
+ Revision: 379419
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 27 2011 lebedov <lebedov> 2011.4-1.mga2
+ Revision: 149547
- imported package python-pytools

